Bug 44186 - nfslock startup script still broken
nfslock startup script still broken
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: nfs-utils (Show other bugs)
7.3
alpha Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-06-11 20:38 EDT by Michal Jaegermann
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-11 20:38:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michal Jaegermann 2001-06-11 20:38:16 EDT
Description of Problem:
A way in which /etc/rc.d/init/nfslock scripts finds KERNVER and
KERNREL is very fragile and breaks if somebody will use a kernel
which will not follow _the current_ Red Hat naming convention.
This is usually the case with custom kernels.

The same action is performed in /etc/rc.d/init/nfs in quite a bit
better way even if different names are used.  Strangely enough
is not adopted but badly reinvented.

I thought that I was already complaining about that in the past
but cannot find now the corresponding report and my records also
do not show it.

   Michal
   michal@harddata.com
Comment 1 Bob Matthews 2001-06-12 14:22:13 EDT
This will be fixed in the next release.

Note You need to log in before you can comment on or make changes to this bug.